> This page is for version v1.
> For other versions, use one of these documentation indexes:
> - v2 (default): https://docs.agentverse.ai/v-2/llms.txt
> - v1: https://docs.agentverse.ai/v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Get Team Agents

GET https://agentverse.ai/v1/hosting/teams/{slug}/agents

Reference: https://docs.agentverse.ai/v-1/api-reference/hosting-v-1/list-team-agents

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `slug` (string, required)

### Query parameters

- `cursor` (string, optional)
- `name` (string, optional)
- `no_cache` (boolean, optional, default: false)
- `sort_by` (string, optional)
- `direction` (string, optional, default: asc)

## Response

### 200

Successful Response

- `items` (list of AgentSummaryV1, required)
- `next_cursor` (string, optional)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### AgentSummaryV1

V1 Agent summary with profile fields.

- `name` (string, required) — Name of the agent.
- `address` (string, required) — Bech32 address of the agent.
- `running` (boolean, required) — Whether the agent is currently running.
- `domain` (string, optional) — Domain name associated with the agent.
- `prefix` (enum, optional, default: test-agent) — Address prefix of the agent.
  - Allowed values: `agent`, `test-agent`
- `compiled` (boolean, optional) — Whether the agent code has been compiled.
- `code_digest` (string, optional) — Digest of the agent's code.
- `wallet_address` (string, optional) — Wallet address of the agent.
- `code_update_timestamp` (string, optional) — Last time the code was updated.
- `creation_timestamp` (string, optional) — Time when the agent was created.
- `avatar_url` (string, optional) — URL to the agent's avatar image.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

- string
- integer

## Examples

**Response**

```json
{
  "items": [
    {
      "name": "foo",
      "address": "foo",
      "running": true,
      "domain": "foo",
      "prefix": "agent",
      "compiled": true,
      "code_digest": "foo",
      "wallet_address": "foo",
      "code_update_timestamp": "foo",
      "creation_timestamp": "foo",
      "avatar_url": "foo"
    }
  ],
  "next_cursor": "foo"
}
```

**SDK Code**

```python listTeamAgentsExample
import requests

url = "https://agentverse.ai/v1/hosting/teams/slug/agents"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript listTeamAgentsExample
const url = 'https://agentverse.ai/v1/hosting/teams/slug/agents';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go listTeamAgentsExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v1/hosting/teams/slug/agents"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby listTeamAgentsExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v1/hosting/teams/slug/agents")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java listTeamAgentsExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agentverse.ai/v1/hosting/teams/slug/agents")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php listTeamAgentsExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agentverse.ai/v1/hosting/teams/slug/agents', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp listTeamAgentsExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v1/hosting/teams/slug/agents");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift listTeamAgentsExample
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/hosting/teams/slug/agents")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```